# --- [ digi_input.py ] --------------------------------------------------------
from tkinter import *
import _thread
import time

class digi_input(Frame):
    """ In einen Frame als unsichtbaren Container werden 2 Labels
        als Bezeichnungs- und Statusfeld beinhaltet eingebaut.

        set_Button(value) aktualisiert das Statusfeld mit dem Wert,
        get_Button() liefert den aktuelle Wert des Statusfeldes """
    
    def __init__(self, master,
                  zeile = 0,
                  label_text = "",
                 font = ("Courier", 10, "bold"),
                  **kw):
        Frame.__init__(self, master,  **kw)
        self.grid(column = 1, row = 0)
        
        self.__lbl1 = Label(self, text = label_text, width = 10 , font = font, anchor = "e")
        self.__lbl1.grid(column = 0, row = zeile, padx = 5, pady = 2, sticky = "nse")

        self.__lbl2 = Label(self, width = 5)
        self.__lbl2.grid(column = 1, row = 0, padx = 5, pady = 2)
        self.__variable = IntVar()
        self.__variable.set(0)
        self.__lbl2.config(textvariable = self.__variable)

        self.set_Button(0)
        
    def set_Button(self, value):

        if value == 0:
            relief = "raised"
        else:
            value = 1
            relief = "sunken"

        self.__lbl2.configure(relief = relief)
        self.__variable.set(value)
        
    def get_Button(self):
        return self.__variable.get()


if __name__ == "__main__":

    def animate():
        i = 0
        while True:
            time.sleep(1)
            j = (i % 2)
            i += 1
        
            digi1.set_Button(j)
            digi2.set_Button(j)
            
            print(digi1.get_Button())

    top = Tk()
    frm1 = LabelFrame(top, text = "test")
    frm1.grid(column = 0, row = 0, padx = 5, pady = 3)

    digi1 = digi_input(frm1, label_text = "Input1:", font = ("Courier", 8))
    digi1.grid(column = 0, row = 0)

    digi2 = digi_input(frm1, label_text = "Input2:")
    digi2.grid(column = 1, row = 1)

    _thread.start_new_thread(animate,())

    top.mainloop()

# --- [ eof ] ------------------------------------------------------------------
